#property indicator_separate_window
#property indicator_buffers 1
#property indicator_color1  LimeGreen

extern int    RsiPeriod  = 8;
extern int    RsiPrice   = PRICE_CLOSE;
extern double LevelUp    = 80;
extern double LevelDown  = 20;
double state[];

//------------------------------------------------------------------
//
//------------------------------------------------------------------
int init()
{
   SetIndexBuffer(0,state);
   return(0);
}
int deinit() { return(0); }
int start()
{
   int counted_bars=IndicatorCounted();
      if(counted_bars<0) return(-1);
      if(counted_bars>0) counted_bars--;
         int limit = MathMin(Bars-counted_bars,Bars-1);

   //
   //
   //
   //
   //
   //

      for(int i=limit; i >= 0; i--)
      {
         state[i] = 0; if (i==Bars-1) continue;
            double rsi = iRSI(NULL,0,RsiPeriod,RsiPrice,i);
               if (rsi>LevelUp)   { if (state[i+1]<0) state[i] =  1; else state[i] = state[i+1]+1; }
               if (rsi<LevelDown) { if (state[i+1]>0) state[i] = -1; else state[i] = state[i+1]-1; }
      }
   return(0);
}